[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBEdit.Change

Performs actions needed when the value for the control has been changed.

## Declaration

Source position: dbctrls.pp line 201

`protected procedure TDBEdit.Change; override;`

## Description

Change is an overridden procedure in TDBEdit used to ensure that the internal TFieldDataLink instance for the control is notified when the value for the control has been modified. Change calls the Modified method in TFieldDataLink to perform the notification, and calls the inherited Change method.

## See also

TFieldDataLink.Modified |  | Updates the class when the linked dataset enters an edit state.
TFieldDataLink.UpdateData |  | Signals the OnUpdateData event handler for pending changes to the linked dataset.
TCustomMaskEdit.Change |  | Suppresses the OnChange event when the initial value for the control is assigned.
TDataLink.UpdateRecord